Index: trunk/src/grails-app/views/entry/edit.gsp
===================================================================
--- trunk/src/grails-app/views/entry/edit.gsp	(revision 21)
+++ trunk/src/grails-app/views/entry/edit.gsp	(revision 25)
@@ -31,8 +31,8 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="person">Person:</label>
+                                    <label for="comments">Comments:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:entryInstance,field:'person','errors')}">
-                                    <g:select optionKey="id" from="${Person.list()}" name="person.id" value="${entryInstance?.person?.id}" ></g:select>
+                                <td valign="top" class="value ${hasErrors(bean:entryInstance,field:'comments','errors')}">
+                                    <textarea rows="5" cols="40" name="comments">${fieldValue(bean:entryInstance, field:'comments')}</textarea>
                                 </td>
                             </tr> 
@@ -40,17 +40,8 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="task">Task:</label>
+                                    <label for="date">Date:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:entryInstance,field:'task','errors')}">
-                                    <g:select optionKey="id" from="${Task.list()}" name="task.id" value="${entryInstance?.task?.id}" ></g:select>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="dateTime">Date Time:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:entryInstance,field:'dateTime','errors')}">
-                                    <g:datePicker name="dateTime" value="${entryInstance?.dateTime}" noSelection="['':'']"></g:datePicker>
+                                <td valign="top" class="value ${hasErrors(bean:entryInstance,field:'date','errors')}">
+                                    <g:datePicker name="date" value="${entryInstance?.date}" ></g:datePicker>
                                 </td>
                             </tr> 
@@ -67,8 +58,17 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="comments">Comments:</label>
+                                    <label for="entryType">Entry Type:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:entryInstance,field:'comments','errors')}">
-                                    <input type="text" id="comments" name="comments" value="${fieldValue(bean:entryInstance,field:'comments')}"/>
+                                <td valign="top" class="value ${hasErrors(bean:entryInstance,field:'entryType','errors')}">
+                                    <g:select optionKey="id" from="${EntryType.list()}" name="entryType.id" value="${entryInstance?.entryType?.id}" ></g:select>
+                                </td>
+                            </tr> 
+                        
+                            <tr class="prop">
+                                <td valign="top" class="name">
+                                    <label for="person">Person:</label>
+                                </td>
+                                <td valign="top" class="value ${hasErrors(bean:entryInstance,field:'person','errors')}">
+                                    <g:select optionKey="id" from="${Person.list()}" name="person.id" value="${entryInstance?.person?.id}" ></g:select>
                                 </td>
                             </tr> 
@@ -90,4 +90,13 @@
                             </tr> 
                         
+                            <tr class="prop">
+                                <td valign="top" class="name">
+                                    <label for="task">Task:</label>
+                                </td>
+                                <td valign="top" class="value ${hasErrors(bean:entryInstance,field:'task','errors')}">
+                                    <g:select optionKey="id" from="${Task.list()}" name="task.id" value="${entryInstance?.task?.id}" ></g:select>
+                                </td>
+                            </tr> 
+                        
                         </tbody>
                     </table>