Index: branches/TaskRewrite/src/grails-app/conf/BootStrap.groovy
===================================================================
--- branches/TaskRewrite/src/grails-app/conf/BootStrap.groovy	(revision 66)
+++ branches/TaskRewrite/src/grails-app/conf/BootStrap.groovy	(revision 69)
@@ -121,16 +121,4 @@
         personInstance.addToPersonGroups(PersonGroup.findByName("Production"))
 
-        //TaskStatus
-        def taskStatusInstance
-    
-        taskStatusInstance = new TaskStatus(name:"Not Started")
-        BootStrapSaveAndTest(taskStatusInstance)
-
-        taskStatusInstance = new TaskStatus(name:"In Progress")
-        BootStrapSaveAndTest(taskStatusInstance)
-
-        taskStatusInstance = new TaskStatus(name:"Completed")
-        BootStrapSaveAndTest(taskStatusInstance)
-
         //TaskGroup
         def taskGroupInstance
@@ -144,13 +132,61 @@
         BootStrapSaveAndTest(taskGroupInstance)
 
-        taskGroupInstance = new TaskGroup(name:"NewProject(s)",
+        taskGroupInstance = new TaskGroup(name:"New Projects",
                       description:" ")
         BootStrapSaveAndTest(taskGroupInstance)
 
+        //TaskStatus
+        def taskStatusInstance
+    
+        taskStatusInstance = new TaskStatus(name:"Not Started")
+        BootStrapSaveAndTest(taskStatusInstance)
+
+        taskStatusInstance = new TaskStatus(name:"In Progress")
+        BootStrapSaveAndTest(taskStatusInstance)
+
+        taskStatusInstance = new TaskStatus(name:"Completed")
+        BootStrapSaveAndTest(taskStatusInstance)
+
+        //TaskPriority
+        def taskPriorityInstance
+
+        taskPriorityInstance = new TaskPriority(name:"Low")
+        BootStrapSaveAndTest(taskPriorityInstance)
+
+        taskPriorityInstance = new TaskPriority(name:"Normal")
+        BootStrapSaveAndTest(taskPriorityInstance)
+
+        taskPriorityInstance = new TaskPriority(name:"High")
+        BootStrapSaveAndTest(taskPriorityInstance)
+
+        taskPriorityInstance = new TaskPriority(name:"Immediate")
+        BootStrapSaveAndTest(taskPriorityInstance)
+
+        //TaskType
+        def taskTypeInstance
+
+        taskTypeInstance = new TaskType(name:"Unscheduled Breakin")
+        BootStrapSaveAndTest(taskTypeInstance)
+
+        taskTypeInstance = new TaskType(name:"Planned Maintenance")
+        BootStrapSaveAndTest(taskTypeInstance)
+
+        taskTypeInstance = new TaskType(name:"Project")
+        BootStrapSaveAndTest(taskTypeInstance)
+
+        taskTypeInstance = new TaskType(name:"Turnaround")
+        BootStrapSaveAndTest(taskTypeInstance)
+
+        taskTypeInstance = new TaskType(name:"Production Run")
+        BootStrapSaveAndTest(taskTypeInstance)
+
         //Task
         def taskInstance
+        def subTaskInstance
 
         taskInstance = new Task(taskGroup:TaskGroup.findByName("Engineering Activites"),
                  taskStatus:TaskStatus.findByName("Not Started"),
+                 taskPriority:TaskPriority.get(2),
+                 taskType:TaskType.get(1),
                  leadPerson:Person.get(3),
                  description:"Check specific level sensor",
@@ -160,6 +196,22 @@
         taskInstance.addToAssignedPersons(Person.get(2))
 
+        subTaskInstance = new Task(taskGroup:TaskGroup.findByName("Engineering Activites"),
+                 taskStatus:TaskStatus.findByName("Not Started"),
+                 taskPriority:TaskPriority.get(2),
+                 taskType:TaskType.get(1),
+                 leadPerson:Person.get(3),
+                 description:"Some follow up work",
+                 comment:"Some help required")
+        BootStrapSaveAndTest(subTaskInstance)
+        subTaskInstance.addToAssignedPersons(Person.get(1))
+        
+        //Add task 2 as a subTask of task 1.
+        taskInstance.addToSubTasks(Task.get(2))
+        subTaskInstance.parentTask = Task.get(1)
+
         taskInstance = new Task(taskGroup:TaskGroup.findByName("Production Activites"),
                  taskStatus:TaskStatus.findByName("Not Started"),
+                 taskPriority:TaskPriority.get(2),
+                 taskType:TaskType.get(5),
                  leadPerson:Person.get(5),
                  description:"Production Report",
@@ -167,6 +219,8 @@
         BootStrapSaveAndTest(taskInstance)
 
-        taskInstance = new Task(taskGroup:TaskGroup.findByName("NewProject(s)"),
-                 taskStatus:TaskStatus.findByName("Not Started"),
+        taskInstance = new Task(taskGroup:TaskGroup.findByName("New Projects"),
+                 taskStatus:TaskStatus.findByName("Not Started"),
+                 taskPriority:TaskPriority.get(2),
+                 taskType:TaskType.get(3),
                  leadPerson:Person.get(1),
                  description:"Make killer CMMS app",
@@ -183,5 +237,5 @@
         BootStrapSaveAndTest(entryTypeInstance)
 
-        entryTypeInstance = new EntryType(name:"Production Report")
+        entryTypeInstance = new EntryType(name:"Production Note")
         BootStrapSaveAndTest(entryTypeInstance)
 