Index: branches/TaskRewrite/src/grails-app/controllers/TaskController.groovy
===================================================================
--- branches/TaskRewrite/src/grails-app/controllers/TaskController.groovy	(revision 84)
+++ branches/TaskRewrite/src/grails-app/controllers/TaskController.groovy	(revision 85)
@@ -1,4 +1,5 @@
 import org.codehaus.groovy.grails.plugins.springsecurity.Secured
 
+@Secured(['ROLE_AppAdmin']) 
 class TaskController extends BaseController {
     
@@ -6,18 +7,10 @@
 
     // the delete, save and update actions only accept POST requests
-    static allowedMethods = [delete:'POST', deleteDetailed:'POST', save:'POST', saveDetailed:'POST', updateDetailed:'POST']
+    static allowedMethods = [delete:'POST', save:'POST', update:'POST']
 
-    @Secured(['ROLE_AppAdmin']) 
     def list = {
         if(!params.max) params.max = 10
         [ taskInstanceList: Task.list( params ) ]
     }
-
-    def listDetailed = {
-        if(!params.max) params.max = 10
-        [ taskInstanceList: Task.list( params ) ]
-    }
-
-    @Secured(['ROLE_AppAdmin']) 
     def show = {
         def taskInstance = Task.get( params.id )
@@ -29,16 +22,5 @@
         else { return [ taskInstance : taskInstance ] }
     }
-
-    def showDetailed = {
-        def taskInstance = Task.get( params.id )
-
-        if(!taskInstance) {
-            flash.message = "Task not found with id ${params.id}"
-            redirect(action:list)
-        }
-        else { return [ taskInstance : taskInstance ] }
-    }
-
-    @Secured(['ROLE_AppAdmin'])     
+  
     def delete = {
         def taskInstance = Task.get( params.id )
@@ -54,18 +36,4 @@
     }
 
-    def deleteDetailed = {
-        def taskInstance = Task.get( params.id )
-        if(taskInstance) {
-            taskInstance.delete()
-            flash.message = "Task ${params.id} deleted"
-            redirect(action:list)
-        }
-        else {
-            flash.message = "Task not found with id ${params.id}"
-            redirect(action:list)
-        }
-    }
-
-    @Secured(['ROLE_AppAdmin']) 
     def edit = {
         def taskInstance = Task.get( params.id )
@@ -80,23 +48,4 @@
     }
 
-    def editDetailed = {
-        def taskInstance = Task.get( params.id )
-
-        if(!taskInstance) {
-            flash.message = "Task not found with id ${params.id}"
-            redirect(action:list)
-        }
-        else {
-            def criteria = taskInstance.createCriteria()
-            def results = criteria {
-                and {
-                    notEqual('id', taskInstance.id)
-                    }
-            }
-            return [ taskInstance : taskInstance, possibleParentList: results ]
-        }
-    }
-
-    @Secured(['ROLE_AppAdmin']) 
     def update = {
         def taskInstance = Task.get( params.id )
@@ -117,23 +66,4 @@
     }
 
-    def updateDetailed = {
-        def taskInstance = Task.get( params.id )
-        if(taskInstance) {
-            taskInstance.properties = params
-            if(!taskInstance.hasErrors() && taskInstance.save()) {
-                flash.message = "Task ${params.id} updated"
-                redirect(action:show,id:taskInstance.id)
-            }
-            else {
-                render(view:'edit',model:[taskInstance:taskInstance])
-            }
-        }
-        else {
-            flash.message = "Task not found with id ${params.id}"
-            redirect(action:edit,id:params.id)
-        }
-    }
-
-    @Secured(['ROLE_AppAdmin']) 
     def create = {
         def taskInstance = new Task()
@@ -142,11 +72,4 @@
     }
 
-    def createDetailed = {
-        def taskInstance = new Task()
-        taskInstance.properties = params
-        return ['taskInstance':taskInstance]
-    }
-
-    @Secured(['ROLE_AppAdmin']) 
     def save = {
         def taskInstance = new Task(params)
@@ -160,13 +83,3 @@
     }
 
-    def saveDetailed = {
-        def taskInstance = new Task(params)
-        if(!taskInstance.hasErrors() && taskInstance.save()) {
-            flash.message = "Task ${taskInstance.id} created"
-            redirect(action:showDetailed,id:taskInstance.id)
-        }
-        else {
-            render(view:'createDetailed',model:[taskInstance:taskInstance])
-        }
-    }
 }