Index: branches/TaskRewrite/src/grails-app/views/taskDetailed/edit.gsp
===================================================================
--- branches/TaskRewrite/src/grails-app/views/taskDetailed/edit.gsp	(revision 85)
+++ branches/TaskRewrite/src/grails-app/views/taskDetailed/edit.gsp	(revision 86)
@@ -31,10 +31,26 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
+                                    <label for="id">Id:</label>
+                                </td>
+                                <td valign="top" class="value">${fieldValue(bean:taskInstance, field:'id')}</td>
+                            </tr>
+
+                            <tr class="prop">
+                                <td valign="top" class="name">
                                     <label for="description">Description:</label>
                                 </td>
                                 <td valign="top" class="value ${hasErrors(bean:taskInstance,field:'description','errors')}">
-                                    <input type="text"  style="width:300px" maxlength="50" id="description" name="description" value="${fieldValue(bean:taskInstance,field:'description')}"/>
+                                    <input type="text" style="width:450px" maxlength="50" id="description" name="description" value="${fieldValue(bean:taskInstance,field:'description')}"/>
                                 </td>
-                            </tr> 
+                            </tr>
+
+                            <tr class="prop">
+                                <td valign="top" class="name">
+                                    <label for="comment">Comment:</label>
+                                </td>
+                                <td valign="top" class="value ${hasErrors(bean:taskInstance,field:'comment','errors')}">
+                                    <textarea style="width:450px" rows="5" cols="40" name="comment">${fieldValue(bean:taskInstance, field:'comment')}</textarea>
+                                </td>
+                            </tr>
                         
                             <tr class="prop">
@@ -43,7 +59,16 @@
                                 </td>
                                 <td valign="top" class="value ${hasErrors(bean:taskInstance,field:'targetStartDate','errors')}">
-                                    <g:datePicker name="targetStartDate" value="${taskInstance?.targetStartDate}" precision="day" ></g:datePicker>
+                                    <g:datePicker name="targetStartDate" value="${taskInstance?.targetStartDate}" precision="day"></g:datePicker>
                                 </td>
                             </tr>
+
+                            <tr class="prop">
+                                <td valign="top" class="name">
+                                    <label for="targetCompletionDate">Target Completion Date:</label>
+                                </td>
+                                <td valign="top" class="value ${hasErrors(bean:taskInstance,field:'targetCompletionDate','errors')}">
+                                    <g:datePicker name="targetCompletionDate" value="${taskInstance?.targetCompletionDate}" precision="day"></g:datePicker>
+                                </td>
+                            </tr> 
                         
                             <tr class="prop">
@@ -76,22 +101,4 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="parentTask">Parent Task:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:taskInstance,field:'parentTask','errors')}">
-                                    <g:select optionKey="id" from="${possibleParentList}" name="parentTask.id" value="${taskInstance?.parentTask?.id}" noSelection="['null':'']"></g:select>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="comment">Comment:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:taskInstance,field:'comment','errors')}">
-                                    <textarea rows="5" cols="40" name="comment">${fieldValue(bean:taskInstance, field:'comment')}</textarea>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
                                     <label for="assignedPersons">Assigned Persons:</label>
                                 </td>
@@ -106,21 +113,5 @@
 
                                 </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="entries">Entries:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:taskInstance,field:'entries','errors')}">
-                                    
-<ul>
-<g:each var="e" in="${taskInstance?.entries?}">
-    <li><g:link controller="entry" action="show" id="${e.id}">${e?.encodeAsHTML()}</g:link></li>
-</g:each>
-</ul>
-<g:link controller="entry" params="['task.id':taskInstance?.id]" action="create">Add Entry</g:link>
-
-                                </td>
-                            </tr> 
+                            </tr>
                         
                             <tr class="prop">
@@ -149,46 +140,14 @@
                                     <g:checkBox name="isScheduled" value="${taskInstance?.isScheduled}" ></g:checkBox>
                                 </td>
-                            </tr> 
-                        
+                            </tr>
+
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="modifications">Modifications:</label>
+                                    <label for="parentTask">Parent Task:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:taskInstance,field:'modifications','errors')}">
-                                    
-<ul>
-<g:each var="m" in="${taskInstance?.modifications?}">
-    <li><g:link controller="modification" action="show" id="${m.id}">${m?.encodeAsHTML()}</g:link></li>
-</g:each>
-</ul>
-<g:link controller="modification" params="['task.id':taskInstance?.id]" action="create">Add Modification</g:link>
-
+                                <td valign="top" class="value ${hasErrors(bean:taskInstance,field:'parentTask','errors')}">
+                                    <g:select optionKey="id" from="${possibleParentList}" name="parentTask.id" value="${taskInstance?.parentTask?.id}" noSelection="['null':'']"></g:select>
                                 </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="subTasks">Sub Tasks:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:taskInstance,field:'subTasks','errors')}">
-                                    
-<ul>
-<g:each var="s" in="${taskInstance?.subTasks?}">
-    <li><g:link controller="task" action="show" id="${s.id}">${s?.encodeAsHTML()}</g:link></li>
-</g:each>
-</ul>
-<g:link controller="task" params="['task.id':taskInstance?.id]" action="create">Add Task</g:link>
-
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="targetCompletionDate">Target Completion Date:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:taskInstance,field:'targetCompletionDate','errors')}">
-                                    <g:datePicker name="targetCompletionDate" value="${taskInstance?.targetCompletionDate}" ></g:datePicker>
-                                </td>
-                            </tr> 
+                            </tr>
                         
                             <tr class="prop">