Index: trunk/src/grails-app/views/taskDetailed/show.gsp
===================================================================
--- trunk/src/grails-app/views/taskDetailed/show.gsp	(revision 89)
+++ trunk/src/grails-app/views/taskDetailed/show.gsp	(revision 91)
@@ -59,5 +59,5 @@
                             <td valign="top" class="name">Lead Person:</td>
                             
-                            <td valign="top" class="value"><g:link controller="person" action="show" id="${taskInstance?.leadPerson?.id}">${taskInstance?.leadPerson?.encodeAsHTML()}</g:link></td>
+                            <td valign="top" class="value">${taskInstance?.leadPerson?.encodeAsHTML()}</td>
                             
                         </tr>
@@ -66,5 +66,5 @@
                             <td valign="top" class="name">Task Priority:</td>
                             
-                            <td valign="top" class="value"><g:link controller="taskPriority" action="show" id="${taskInstance?.taskPriority?.id}">${taskInstance?.taskPriority?.encodeAsHTML()}</g:link></td>
+                            <td valign="top" class="value">${taskInstance?.taskPriority?.encodeAsHTML()}</td>
                             
                         </tr>
@@ -73,5 +73,5 @@
                             <td valign="top" class="name">Task Status:</td>
                             
-                            <td valign="top" class="value"><g:link controller="taskStatus" action="show" id="${taskInstance?.taskStatus?.id}">${taskInstance?.taskStatus?.encodeAsHTML()}</g:link></td>
+                            <td valign="top" class="value">${taskInstance?.taskStatus?.encodeAsHTML()}</td>
                             
                         </tr>
@@ -79,40 +79,33 @@
                         <tr class="prop">
                             <td valign="top" class="name">Assigned Persons:</td>
-                            
-                            <td valign="top" class="value">${fieldValue(bean:taskInstance, field:'assignedPersons')}</td>
-                            
-                        </tr>
-                    
-                        <tr class="prop">
-                            <td valign="top" class="name">Is Active:</td>
-                            
-                            <td valign="top" class="value">${fieldValue(bean:taskInstance, field:'isActive')}</td>
-                            
-                        </tr>
-                    
-                        <tr class="prop">
-                            <td valign="top" class="name">Is Approved:</td>
-                            
-                            <td valign="top" class="value">${fieldValue(bean:taskInstance, field:'isApproved')}</td>
-                            
-                        </tr>
-                    
-                        <tr class="prop">
-                            <td valign="top" class="name">Is Scheduled:</td>
-                            
-                            <td valign="top" class="value">${fieldValue(bean:taskInstance, field:'isScheduled')}</td>
-                            
-                        </tr>
-                    
-                        <tr class="prop">
-                            <td valign="top" class="name">Modifications:</td>
                             
                             <td  valign="top" style="text-align:left;" class="value">
                                 <ul>
-                                <g:each var="m" in="${taskInstance.modifications}">
-                                    <li><g:link controller="modification" action="show" id="${m.id}">${m?.encodeAsHTML()}</g:link></li>
+                                <g:each var="s" in="${taskInstance.assignedPersons}">
+                                    <li>${s?.firstName} ${s?.lastName}</li>
                                 </g:each>
                                 </ul>
                             </td>
+                            
+                        </tr>
+                    
+                        <tr class="prop">
+                            <td valign="top" class="name">Is Active:</td>
+                            
+                            <td valign="top" class="value">${fieldValue(bean:taskInstance, field:'isActive')}</td>
+                            
+                        </tr>
+                    
+                        <tr class="prop">
+                            <td valign="top" class="name">Is Approved:</td>
+                            
+                            <td valign="top" class="value">${fieldValue(bean:taskInstance, field:'isApproved')}</td>
+                            
+                        </tr>
+                    
+                        <tr class="prop">
+                            <td valign="top" class="name">Is Scheduled:</td>
+                            
+                            <td valign="top" class="value">${fieldValue(bean:taskInstance, field:'isScheduled')}</td>
                             
                         </tr>
@@ -141,5 +134,5 @@
                             <td valign="top" class="name">Task Group:</td>
                             
-                            <td valign="top" class="value"><g:link controller="taskGroup" action="show" id="${taskInstance?.taskGroup?.id}">${taskInstance?.taskGroup?.encodeAsHTML()}</g:link></td>
+                            <td valign="top" class="value">${taskInstance?.taskGroup?.encodeAsHTML()}</td>
                             
                         </tr>
@@ -148,5 +141,5 @@
                             <td valign="top" class="name">Task Type:</td>
                             
-                            <td valign="top" class="value"><g:link controller="taskType" action="show" id="${taskInstance?.taskType?.id}">${taskInstance?.taskType?.encodeAsHTML()}</g:link></td>
+                            <td valign="top" class="value">${taskInstance?.taskType?.encodeAsHTML()}</td>
                             
                         </tr>
@@ -168,9 +161,12 @@
                     <thead>
                         <tr>
-                            <g:sortableColumn property="comment" title="Comment" />
+                            <th style="color:Black">Comment</th>
+                            <th style="color:Black">Date Done</th>
+                            <th style="color:Black">Entered By</th>
+<!--                            <g:sortableColumn property="comment" title="Comment" />
                         
                             <g:sortableColumn property="dateDone" title="Date Done" />
                         
-                            <g:sortableColumn property="enteredBy" title="Entered By" />
+                            <g:sortableColumn property="enteredBy" title="Entered By" />-->
                         </tr>
                     </thead>
@@ -198,9 +194,12 @@
                     <thead>
                         <tr>
-                            <g:sortableColumn property="comment" title="Comment" />
-                        
-                            <g:sortableColumn property="dateDone" title="Date Done" />
-                        
-                            <g:sortableColumn property="enteredBy" title="Entered By" />
+                            <th style="color:Black">Comment</th>
+                            <th style="color:Black">Date Done</th>
+                            <th style="color:Black">Entered By</th>
+<!--                            <g:sortableColumn property="commentW" title="Comment" />
+                        
+                            <g:sortableColumn property="dateDoneW" title="Date Done" />
+                        
+                            <g:sortableColumn property="enteredByW" title="Entered By" />-->
                         </tr>
                     </thead>
@@ -223,4 +222,12 @@
             </div>
 
+            <br />
+
+            <div class="buttons">
+                <span class="menuButton" style="height:50px">
+                    <g:link controller="entryDetailed" params="['task.id':taskInstance.id]" action="create">Add Entry</g:link>
+                </span>
+            </div>
+
         </div>
     </body>