Index: trunk/src/grails-app/views/taskModification/edit.gsp
===================================================================
--- trunk/src/grails-app/views/modification/edit.gsp	(revision 89)
+++ trunk/src/grails-app/views/taskModification/edit.gsp	(revision 93)
@@ -5,24 +5,25 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
         <meta name="layout" content="main" />
-        <title>Edit Modification</title>
+        <title>Edit TaskModification</title>
     </head>
     <body>
         <div class="nav">
             <span class="menuButton"><a class="home" href="${createLinkTo(dir:'')}">Home</a></span>
-            <span class="menuButton"><g:link class="list" action="list">Modification List</g:link></span>
-            <span class="menuButton"><g:link class="create" action="create">New Modification</g:link></span>
+            <span class="menuButton"><g:link class="list" action="list">TaskModification List</g:link></span>
+            <span class="menuButton"><g:link class="create" action="create">New TaskModification</g:link></span>
         </div>
         <div class="body">
-            <h1>Edit Modification</h1>
+            <h1>Edit TaskModification</h1>
             <g:if test="${flash.message}">
             <div class="message">${flash.message}</div>
             </g:if>
-            <g:hasErrors bean="${modificationInstance}">
+            <g:hasErrors bean="${taskModificationInstance}">
             <div class="errors">
-                <g:renderErrors bean="${modificationInstance}" as="list" />
+                <g:renderErrors bean="${taskModificationInstance}" as="list" />
             </div>
             </g:hasErrors>
             <g:form method="post" >
-                <input type="hidden" name="id" value="${modificationInstance?.id}" />
+                <input type="hidden" name="id" value="${taskModificationInstance?.id}" />
+                <input type="hidden" name="version" value="${taskModificationInstance?.version}" />
                 <div class="dialog">
                     <table>
@@ -33,6 +34,6 @@
                                     <label for="person">Person:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:modificationInstance,field:'person','errors')}">
-                                    <g:select optionKey="id" from="${Person.list()}" name="person.id" value="${modificationInstance?.person?.id}" ></g:select>
+                                <td valign="top" class="value ${hasErrors(bean:taskModificationInstance,field:'person','errors')}">
+                                    <g:select optionKey="id" from="${Person.list()}" name="person.id" value="${taskModificationInstance?.person?.id}" ></g:select>
                                 </td>
                             </tr> 
@@ -40,8 +41,8 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="modificationType">Modification Type:</label>
+                                    <label for="taskModificationType">Task Modification Type:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:modificationInstance,field:'modificationType','errors')}">
-                                    <g:select optionKey="id" from="${ModificationType.list()}" name="modificationType.id" value="${modificationInstance?.modificationType?.id}" ></g:select>
+                                <td valign="top" class="value ${hasErrors(bean:taskModificationInstance,field:'taskModificationType','errors')}">
+                                    <g:select optionKey="id" from="${TaskModificationType.list()}" name="taskModificationType.id" value="${taskModificationInstance?.taskModificationType?.id}" ></g:select>
                                 </td>
                             </tr> 
@@ -51,6 +52,6 @@
                                     <label for="task">Task:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:modificationInstance,field:'task','errors')}">
-                                    <g:select optionKey="id" from="${Task.list()}" name="task.id" value="${modificationInstance?.task?.id}" ></g:select>
+                                <td valign="top" class="value ${hasErrors(bean:taskModificationInstance,field:'task','errors')}">
+                                    <g:select optionKey="id" from="${Task.list()}" name="task.id" value="${taskModificationInstance?.task?.id}" ></g:select>
                                 </td>
                             </tr> 
@@ -60,6 +61,6 @@
                                     <label for="date">Date:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:modificationInstance,field:'date','errors')}">
-                                    <g:datePicker name="date" value="${modificationInstance?.date}" ></g:datePicker>
+                                <td valign="top" class="value ${hasErrors(bean:taskModificationInstance,field:'date','errors')}">
+                                    <g:datePicker name="date" value="${taskModificationInstance?.date}" ></g:datePicker>
                                 </td>
                             </tr> 
@@ -69,6 +70,6 @@
                                     <label for="comment">Comment:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:modificationInstance,field:'comment','errors')}">
-                                    <input type="text" id="comment" name="comment" value="${fieldValue(bean:modificationInstance,field:'comment')}"/>
+                                <td valign="top" class="value ${hasErrors(bean:taskModificationInstance,field:'comment','errors')}">
+                                    <input type="text" id="comment" name="comment" value="${fieldValue(bean:taskModificationInstance,field:'comment')}"/>
                                 </td>
                             </tr> 