Index: trunk/grails-app/views/period/edit.gsp
===================================================================
--- trunk/grails-app/views/frequency/edit.gsp	(revision 118)
+++ trunk/grails-app/views/period/edit.gsp	(revision 122)
@@ -5,25 +5,25 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
         <meta name="layout" content="main" />
-        <title>Edit Frequency</title>
+        <title>Edit Period</title>
     </head>
     <body>
         <div class="nav">
             <span class="menuButton"><a class="home" href="${createLinkTo(dir:'')}">Home</a></span>
-            <span class="menuButton"><g:link class="list" action="list">Frequency List</g:link></span>
-            <span class="menuButton"><g:link class="create" action="create">New Frequency</g:link></span>
+            <span class="menuButton"><g:link class="list" action="list">Period List</g:link></span>
+            <span class="menuButton"><g:link class="create" action="create">New Period</g:link></span>
         </div>
         <div class="body">
-            <h1>Edit Frequency</h1>
+            <h1>Edit Period</h1>
             <g:if test="${flash.message}">
             <div class="message">${flash.message}</div>
             </g:if>
-            <g:hasErrors bean="${frequencyInstance}">
+            <g:hasErrors bean="${periodInstance}">
             <div class="errors">
-                <g:renderErrors bean="${frequencyInstance}" as="list" />
+                <g:renderErrors bean="${periodInstance}" as="list" />
             </div>
             </g:hasErrors>
             <g:form method="post" >
-                <input type="hidden" name="id" value="${frequencyInstance?.id}" />
-                <input type="hidden" name="version" value="${frequencyInstance?.version}" />
+                <input type="hidden" name="id" value="${periodInstance?.id}" />
+                <input type="hidden" name="version" value="${periodInstance?.version}" />
                 <div class="dialog">
                     <table>
@@ -32,8 +32,8 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="frequency">Frequency:</label>
+                                    <label for="isActive">Is Active:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:frequencyInstance,field:'frequency','errors')}">
-                                    <input type="text" id="frequency" name="frequency" value="${fieldValue(bean:frequencyInstance,field:'frequency')}"/>
+                                <td valign="top" class="value ${hasErrors(bean:periodInstance,field:'isActive','errors')}">
+                                    <g:checkBox name="isActive" value="${periodInstance?.isActive}" ></g:checkBox>
                                 </td>
                             </tr> 
@@ -41,8 +41,8 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="isActive">Is Active:</label>
+                                    <label for="period">Period:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:frequencyInstance,field:'isActive','errors')}">
-                                    <g:checkBox name="isActive" value="${frequencyInstance?.isActive}" ></g:checkBox>
+                                <td valign="top" class="value ${hasErrors(bean:periodInstance,field:'period','errors')}">
+                                    <input type="text" id="period" name="period" value="${fieldValue(bean:periodInstance,field:'period')}"/>
                                 </td>
                             </tr> 
@@ -50,14 +50,14 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="lifePlans">Life Plans:</label>
+                                    <label for="recurringSchedules">Recurring Schedules:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:frequencyInstance,field:'lifePlans','errors')}">
+                                <td valign="top" class="value ${hasErrors(bean:periodInstance,field:'recurringSchedules','errors')}">
                                     
 <ul>
-<g:each var="l" in="${frequencyInstance?.lifePlans?}">
-    <li><g:link controller="lifePlan" action="show" id="${l.id}">${l?.encodeAsHTML()}</g:link></li>
+<g:each var="r" in="${periodInstance?.recurringSchedules?}">
+    <li><g:link controller="recurringSchedule" action="show" id="${r.id}">${r?.encodeAsHTML()}</g:link></li>
 </g:each>
 </ul>
-<g:link controller="lifePlan" params="['frequency.id':frequencyInstance?.id]" action="create">Add LifePlan</g:link>
+<g:link controller="recurringSchedule" params="['period.id':periodInstance?.id]" action="create">Add RecurringSchedule</g:link>
 
                                 </td>