Index: trunk/grails-app/views/maintenanceActionDetailed/show.gsp
===================================================================
--- trunk/grails-app/views/maintenanceAction/show.gsp	(revision 122)
+++ trunk/grails-app/views/maintenanceActionDetailed/show.gsp	(revision 124)
@@ -33,5 +33,5 @@
                             <td valign="top" class="name">System Section:</td>
                             
-                            <td valign="top" class="value"><g:link controller="systemSection" action="show" id="${maintenanceActionInstance?.systemSection?.id}">${maintenanceActionInstance?.systemSection?.encodeAsHTML()}</g:link></td>
+                            <td valign="top" class="value"><g:link controller="systemSectionDetailed" action="show" id="${maintenanceActionInstance?.systemSection?.id}">${maintenanceActionInstance?.systemSection?.encodeAsHTML()}</g:link></td>
                             
                         </tr>
@@ -40,5 +40,5 @@
                             <td valign="top" class="name">Asset:</td>
                             
-                            <td valign="top" class="value"><g:link controller="asset" action="show" id="${maintenanceActionInstance?.asset?.id}">${maintenanceActionInstance?.asset?.encodeAsHTML()}</g:link></td>
+                            <td valign="top" class="value"><g:link controller="assetDetailed" action="show" id="${maintenanceActionInstance?.asset?.id}">${maintenanceActionInstance?.asset?.encodeAsHTML()}</g:link></td>
                             
                         </tr>
@@ -47,5 +47,5 @@
                             <td valign="top" class="name">Asset Type:</td>
                             
-                            <td valign="top" class="value"><g:link controller="assetType" action="show" id="${maintenanceActionInstance?.assetType?.id}">${maintenanceActionInstance?.assetType?.encodeAsHTML()}</g:link></td>
+                            <td valign="top" class="value"><g:link controller="assetTypeDetailed" action="show" id="${maintenanceActionInstance?.assetType?.id}">${maintenanceActionInstance?.assetType?.encodeAsHTML()}</g:link></td>
                             
                         </tr>
@@ -54,5 +54,5 @@
                             <td valign="top" class="name">Assembly:</td>
                             
-                            <td valign="top" class="value"><g:link controller="assembly" action="show" id="${maintenanceActionInstance?.assembly?.id}">${maintenanceActionInstance?.assembly?.encodeAsHTML()}</g:link></td>
+                            <td valign="top" class="value"><g:link controller="assemblyDetailed" action="show" id="${maintenanceActionInstance?.assembly?.id}">${maintenanceActionInstance?.assembly?.encodeAsHTML()}</g:link></td>
                             
                         </tr>
@@ -61,5 +61,5 @@
                             <td valign="top" class="name">Sub Assembly:</td>
                             
-                            <td valign="top" class="value"><g:link controller="subAssembly" action="show" id="${maintenanceActionInstance?.subAssembly?.id}">${maintenanceActionInstance?.subAssembly?.encodeAsHTML()}</g:link></td>
+                            <td valign="top" class="value"><g:link controller="subAssemblyDetailed" action="show" id="${maintenanceActionInstance?.subAssembly?.id}">${maintenanceActionInstance?.subAssembly?.encodeAsHTML()}</g:link></td>
                             
                         </tr>
@@ -68,12 +68,12 @@
                             <td valign="top" class="name">Component Item:</td>
                             
-                            <td valign="top" class="value"><g:link controller="componentItem" action="show" id="${maintenanceActionInstance?.componentItem?.id}">${maintenanceActionInstance?.componentItem?.encodeAsHTML()}</g:link></td>
+                            <td valign="top" class="value"><g:link controller="componentItemDetailed" action="show" id="${maintenanceActionInstance?.componentItem?.id}">${maintenanceActionInstance?.componentItem?.encodeAsHTML()}</g:link></td>
                             
                         </tr>
                     
                         <tr class="prop">
-                            <td valign="top" class="name">Description:</td>
+                            <td valign="top" class="name">Maintenance Action:</td>
                             
-                            <td valign="top" class="value">${fieldValue(bean:maintenanceActionInstance, field:'description')}</td>
+                            <td valign="top" class="value">${fieldValue(bean:maintenanceActionInstance, field:'maintenanceAction')}</td>
                             
                         </tr>
@@ -89,5 +89,12 @@
                             <td valign="top" class="name">Maintenance Policy:</td>
                             
-                            <td valign="top" class="value"><g:link controller="maintenancePolicy" action="show" id="${maintenanceActionInstance?.maintenancePolicy?.id}">${maintenanceActionInstance?.maintenancePolicy?.encodeAsHTML()}</g:link></td>
+                            <td valign="top" class="value">${maintenanceActionInstance?.maintenancePolicy?.encodeAsHTML()}</td>
+                            
+                        </tr>
+                    
+                        <tr class="prop">
+                            <td valign="top" class="name">PM Step Number:</td>
+                            
+                            <td valign="top" class="value">${maintenanceActionInstance?.pmStepNumber?.encodeAsHTML()}</td>
                             
                         </tr>
@@ -96,5 +103,5 @@
                             <td valign="top" class="name">Planned Maintenance:</td>
                             
-                            <td valign="top" class="value"><g:link controller="plannedMaintenance" action="show" id="${maintenanceActionInstance?.plannedMaintenance?.id}">${maintenanceActionInstance?.plannedMaintenance?.encodeAsHTML()}</g:link></td>
+                            <td valign="top" class="value"><g:link controller="plannedMaintenanceDetailed" action="show" id="${maintenanceActionInstance?.plannedMaintenance?.id}">${maintenanceActionInstance?.plannedMaintenance?.encodeAsHTML()}</g:link></td>
                             
                         </tr>