Index: trunk/grails-app/views/taskRecurringScheduleDetailed/edit.gsp
===================================================================
--- trunk/grails-app/views/taskRecurringScheduleDetailed/edit.gsp	(revision 129)
+++ trunk/grails-app/views/taskRecurringScheduleDetailed/edit.gsp	(revision 134)
@@ -5,25 +5,25 @@
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
         <meta name="layout" content="main" />
-        <title>Edit RecurringSchedule</title>
+        <title>Edit TaskRecurringSchedule</title>
     </head>
     <body>
         <div class="nav">
             <span class="menuButton"><a class="home" href="${createLinkTo(dir:'')}">Home</a></span>
-            <span class="menuButton"><g:link class="list" action="list">RecurringSchedule List</g:link></span>
-            <span class="menuButton"><g:link class="create" action="create">New RecurringSchedule</g:link></span>
+            <span class="menuButton"><g:link class="list" action="list">TaskRecurringSchedule List</g:link></span>
+            <span class="menuButton"><g:link class="create" action="create">New TaskRecurringSchedule</g:link></span>
         </div>
         <div class="body">
-            <h1>Edit RecurringSchedule</h1>
+            <h1>Edit TaskRecurringSchedule</h1>
             <g:if test="${flash.message}">
             <div class="message">${flash.message}</div>
             </g:if>
-            <g:hasErrors bean="${recurringScheduleInstance}">
+            <g:hasErrors bean="${taskRecurringScheduleInstance}">
             <div class="errors">
-                <g:renderErrors bean="${recurringScheduleInstance}" as="list" />
+                <g:renderErrors bean="${taskRecurringScheduleInstance}" as="list" />
             </div>
             </g:hasErrors>
             <g:form method="post" >
-                <input type="hidden" name="id" value="${recurringScheduleInstance?.id}" />
-                <input type="hidden" name="version" value="${recurringScheduleInstance?.version}" />
+                <input type="hidden" name="id" value="${taskRecurringScheduleInstance?.id}" />
+                <input type="hidden" name="version" value="${taskRecurringScheduleInstance?.version}" />
                 <div class="dialog">
                     <table>
@@ -32,8 +32,8 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="plannedMaintenance">Planned Maintenance:</label>
+                                    <label for="lastGeneratedDate">Last Generated Date:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:recurringScheduleInstance,field:'plannedMaintenance','errors')}">
-                                    <g:select optionKey="id" from="${PlannedMaintenance.list()}" name="plannedMaintenance.id" value="${recurringScheduleInstance?.plannedMaintenance?.id}" noSelection="['null':'']"></g:select>
+                                <td valign="top" class="value ${hasErrors(bean:taskRecurringScheduleInstance,field:'lastGeneratedDate','errors')}">
+                                    <g:datePicker name="lastGeneratedDate" value="${taskRecurringScheduleInstance?.lastGeneratedDate}" noSelection="['':'']"></g:datePicker>
                                 </td>
                             </tr> 
@@ -41,8 +41,26 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="isActive">Is Active:</label>
+                                    <label for="lastGeneratedSubTask">Last Generated Sub Task:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:recurringScheduleInstance,field:'isActive','errors')}">
-                                    <g:checkBox name="isActive" value="${recurringScheduleInstance?.isActive}" ></g:checkBox>
+                                <td valign="top" class="value ${hasErrors(bean:taskRecurringScheduleInstance,field:'lastGeneratedSubTask','errors')}">
+                                    <g:select optionKey="id" from="${Task.list()}" name="lastGeneratedSubTask.id" value="${taskRecurringScheduleInstance?.lastGeneratedSubTask?.id}" noSelection="['null':'']"></g:select>
+                                </td>
+                            </tr> 
+                        
+                            <tr class="prop">
+                                <td valign="top" class="name">
+                                    <label for="isEnabled">Is Enabled:</label>
+                                </td>
+                                <td valign="top" class="value ${hasErrors(bean:taskRecurringScheduleInstance,field:'isEnabled','errors')}">
+                                    <g:checkBox name="isEnabled" value="${taskRecurringScheduleInstance?.isEnabled}" ></g:checkBox>
+                                </td>
+                            </tr> 
+                        
+                            <tr class="prop">
+                                <td valign="top" class="name">
+                                    <label for="nextDueDate">Next Due Date:</label>
+                                </td>
+                                <td valign="top" class="value ${hasErrors(bean:taskRecurringScheduleInstance,field:'nextDueDate','errors')}">
+                                    <g:datePicker name="nextDueDate" value="${taskRecurringScheduleInstance?.nextDueDate}" ></g:datePicker>
                                 </td>
                             </tr> 
@@ -52,6 +70,6 @@
                                     <label for="period">Period:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:recurringScheduleInstance,field:'period','errors')}">
-                                    <g:select optionKey="id" from="${Period.list()}" name="period.id" value="${recurringScheduleInstance?.period?.id}" ></g:select>
+                                <td valign="top" class="value ${hasErrors(bean:taskRecurringScheduleInstance,field:'period','errors')}">
+                                    <g:select optionKey="id" from="${Period.list()}" name="period.id" value="${taskRecurringScheduleInstance?.period?.id}" ></g:select>
                                 </td>
                             </tr> 
@@ -61,6 +79,6 @@
                                     <label for="recurEvery">Recur Every:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:recurringScheduleInstance,field:'recurEvery','errors')}">
-                                    <input type="text" id="recurEvery" name="recurEvery" value="${fieldValue(bean:recurringScheduleInstance,field:'recurEvery')}" />
+                                <td valign="top" class="value ${hasErrors(bean:taskRecurringScheduleInstance,field:'recurEvery','errors')}">
+                                    <input type="text" id="recurEvery" name="recurEvery" value="${fieldValue(bean:taskRecurringScheduleInstance,field:'recurEvery')}" />
                                 </td>
                             </tr> 
@@ -70,6 +88,6 @@
                                     <label for="startDate">Start Date:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:recurringScheduleInstance,field:'startDate','errors')}">
-                                    <g:datePicker name="startDate" value="${recurringScheduleInstance?.startDate}" precision="day" ></g:datePicker>
+                                <td valign="top" class="value ${hasErrors(bean:taskRecurringScheduleInstance,field:'startDate','errors')}">
+                                    <g:datePicker name="startDate" value="${taskRecurringScheduleInstance?.startDate}" ></g:datePicker>
                                 </td>
                             </tr> 
@@ -79,6 +97,6 @@
                                     <label for="task">Task:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:recurringScheduleInstance,field:'task','errors')}">
-                                    <g:select optionKey="id" from="${Task.list()}" name="task.id" value="${recurringScheduleInstance?.task?.id}" ></g:select>
+                                <td valign="top" class="value ${hasErrors(bean:taskRecurringScheduleInstance,field:'task','errors')}">
+                                    <g:select optionKey="id" from="${Task.list()}" name="task.id" value="${taskRecurringScheduleInstance?.task?.id}" ></g:select>
                                 </td>
                             </tr> 