Index: trunk/grails-app/views/taskRecurringScheduleDetailed/show.gsp
===================================================================
--- trunk/grails-app/views/taskRecurringScheduleDetailed/show.gsp	(revision 134)
+++ trunk/grails-app/views/taskRecurringScheduleDetailed/show.gsp	(revision 135)
@@ -20,7 +20,6 @@
             <div class="dialog">
                 <table>
-                    <tbody>
-
-                    
+                    <tbody>     
+                                   
                         <tr class="prop">
                             <td valign="top" class="name">Id:</td>
@@ -29,17 +28,29 @@
                             
                         </tr>
+
+						<tr class="prop">
+							<td valign="top" class="name">
+								<label for="recForTask">Recurring Schedule for Task:</label>
+							</td>
+							<td valign="top" name="recForTask" class="value">
+								<g:link controller="taskDetailed" action="show" id="${taskRecurringScheduleInstance?.task?.id}">${taskRecurringScheduleInstance?.task?.encodeAsHTML()}</g:link>
+							</td>
+						</tr>
                     
                         <tr class="prop">
-                            <td valign="top" class="name">Last Generated Date:</td>
+                            <td valign="top" class="name">Recur Every:</td>
                             
-                            <td valign="top" class="value">${fieldValue(bean:taskRecurringScheduleInstance, field:'lastGeneratedDate')}</td>
+                            <td valign="top" class="value">
+								${taskRecurringScheduleInstance?.recurEvery} ${taskRecurringScheduleInstance?.period}
+							</td>
                             
                         </tr>
                     
                         <tr class="prop">
-                            <td valign="top" class="name">Last Generated Sub Task:</td>
+                            <td valign="top" class="name">Start Date:</td>
                             
-                            <td valign="top" class="value"><g:link controller="task" action="show" id="${taskRecurringScheduleInstance?.lastGeneratedSubTask?.id}">${taskRecurringScheduleInstance?.lastGeneratedSubTask?.encodeAsHTML()}</g:link></td>
-                            
+							<td valign="top" class="value">
+								<g:formatDate date="${taskRecurringScheduleInstance.startDate}" format="EEE, dd MMM yyyy"/>
+							</td>
                         </tr>
                     
@@ -50,37 +61,38 @@
                             
                         </tr>
+                        
+                        <tr class="prop">
+                    		<td></td>
+						</tr>
+                        
+                        <tr class="prop">
+                    		<td></td>
+						</tr>
                     
                         <tr class="prop">
                             <td valign="top" class="name">Next Due Date:</td>
                             
-                            <td valign="top" class="value">${fieldValue(bean:taskRecurringScheduleInstance, field:'nextDueDate')}</td>
+                            <td valign="top" class="value">
+								<g:formatDate date="${taskRecurringScheduleInstance.nextDueDate}" format="EEE, dd MMM yyyy"/>
+							</td>
                             
+                        </tr>
+						
+                        <tr class="prop">
+                            <td valign="top" class="name">Last Generated Date:</td>
+                            
+                            <td valign="top" class="value">
+                           		<g:formatDate date="${taskRecurringScheduleInstance.lastGeneratedDate}" format="EEE, dd MMM yyyy"/>
+							</td>
                         </tr>
                     
                         <tr class="prop">
-                            <td valign="top" class="name">Period:</td>
+                            <td valign="top" class="name">Last Generated Sub Task:</td>
                             
-                            <td valign="top" class="value"><g:link controller="period" action="show" id="${taskRecurringScheduleInstance?.period?.id}">${taskRecurringScheduleInstance?.period?.encodeAsHTML()}</g:link></td>
-                            
-                        </tr>
-                    
-                        <tr class="prop">
-                            <td valign="top" class="name">Recur Every:</td>
-                            
-                            <td valign="top" class="value">${fieldValue(bean:taskRecurringScheduleInstance, field:'recurEvery')}</td>
-                            
-                        </tr>
-                    
-                        <tr class="prop">
-                            <td valign="top" class="name">Start Date:</td>
-                            
-                            <td valign="top" class="value">${fieldValue(bean:taskRecurringScheduleInstance, field:'startDate')}</td>
-                            
-                        </tr>
-                    
-                        <tr class="prop">
-                            <td valign="top" class="name">Task:</td>
-                            
-                            <td valign="top" class="value"><g:link controller="task" action="show" id="${taskRecurringScheduleInstance?.task?.id}">${taskRecurringScheduleInstance?.task?.encodeAsHTML()}</g:link></td>
+                            <td valign="top" class="value">
+								<g:link controller="taskDetailed" action="show" id="${taskRecurringScheduleInstance?.lastGeneratedSubTask?.id}">
+									${taskRecurringScheduleInstance?.lastGeneratedSubTask?.encodeAsHTML()}
+								</g:link>
+							</td>
                             
                         </tr>