Index: trunk/grails-app/conf/Config.groovy
===================================================================
--- trunk/grails-app/conf/Config.groovy	(revision 104)
+++ trunk/grails-app/conf/Config.groovy	(revision 139)
@@ -68,6 +68,73 @@
 }
 
+//log4j.logger.org.springframework.security='off,stdout'
 
+/** Navigation plugin menu.
+   * The top level titles are taken from i18n message bundles.
+   * Subitems i18n message bundles are not currently resolving with this plugin.
+   */
+navigation.nav = [
+    [order:10, controller:'appCore', title:'home', action:'start',
+        subItems: [
+            [order:10, controller:'appCore', title:'Start', action:'start', isVisible: { true }],
+            [order:20, controller:'appCore', title:'Manager', action:'manager', isVisible: { authenticateService.ifAllGranted('ROLE_Manager') }],
+            [order:30, controller:'appCore', title:'Admin', action:'appAdmin', isVisible: { authenticateService.ifAllGranted('ROLE_AppAdmin') }],
+            [order:90, controller:'appCore', title:'Timeout', action:'changeSessionTimeout', isVisible: { params.action == 'changeSessionTimeout' }],
+            [order:91, controller:'appCore', title:'Password', action:'changePassword', isVisible: { params.action == 'changePassword' }],
+        ]
+    ],
+    [order:20, controller:'taskDetailed', title:'tasks', action:'search',
+        subItems: [
+            [order:10, controller:'taskDetailed', title:'Search', action:'search', isVisible: { true }],
+            [order:20, controller:'taskDetailed', title:'Create', action:'create', isVisible: { true }],
+            [order:90, controller:'taskDetailed', title:'Show', action:'show', isVisible: { params.action == 'show' }],
+            [order:91, controller:'taskDetailed', title:'Edit', action:'edit', isVisible: { params.action == 'edit' }]
+        ]
+    ],
+    [order:30, controller:'inventoryItemDetailed', title:'inventory', action:'search',
+        subItems: [
+            [order:10, controller:'inventoryItemDetailed', title:'Search', action:'search', isVisible: { true }],
+            [order:20, controller:'inventoryItemDetailed', title:'Create', action:'create', isVisible: { true }],
+            [order:90, controller:'inventoryItemDetailed', title:'Show', action:'show', isVisible: { params.action == 'show' }],
+            [order:91, controller:'inventoryItemDetailed', title:'Edit', action:'edit', isVisible: { params.action == 'edit' }]
+        ]
+    ],
+    [order:40, controller:'assetDetailed', title:'assets', action:'search',
+        subItems: [
+            [order:10, controller:'assetDetailed', title:'Search', action:'search', isVisible: { true }],
+            [order:20, controller:'assetDetailed', title:'Create', action:'create', isVisible: { true }],
+            [order:90, controller:'assetDetailed', title:'Show', action:'show', isVisible: { params.action == 'show' }],
+            [order:91, controller:'assetDetailed', title:'Edit', action:'edit', isVisible: { params.action == 'edit' }]
+        ]
+    ]
+]
 
-
-//log4j.logger.org.springframework.security='off,stdout'
+/** Class-diagram plugin overrides.
+  * 
+  */
+classDiagram {
+    associations {
+        arrows {
+            // See http://www.graphviz.org/doc/info/arrows.html for available arrowheads and their visual appearance 
+            references = "open"
+            belongsTo = "odiamond"
+            embedded = "diamond"
+            inherits = "onormal"
+            none = "none"
+        }
+        decorators {
+            // plain text to be shown on edge ends
+            hasOne = "1"
+            hasMany = "*"
+            none = ""
+        }
+    }
+    skins {
+        classicSpacey {
+            name = " Classic Spacey"
+            graphStyle = [bgcolor:"none", mclimit:100, nodesep:'1.5 equally', ranksep:'2 equally' ]
+            nodeStyle = [style:"rounded,filled", color:"blue", fillcolor:"azure2", fontname:"Verdana", fontsize:18]
+            edgeStyle = [color:"gray40", fontname:"Verdana", fontsize:18, labelfontsize:20, labeldistance:3.5]
+        }
+    }
+}