Index: trunk/grails-app/views/taskRecurringSchedule/edit.gsp
===================================================================
--- trunk/grails-app/views/taskRecurringSchedule/edit.gsp	(revision 151)
+++ trunk/grails-app/views/taskRecurringSchedule/edit.gsp	(revision 157)
@@ -9,5 +9,5 @@
     <body>
         <div class="nav">
-            <span class="menuButton"><a class="home" href="${resource(dir:'')}">Home</a></span>
+            <span class="menuButton"><a class="home" href="${createLinkTo(dir:'')}">Home</a></span>
             <span class="menuButton"><g:link class="list" action="list">TaskRecurringSchedule List</g:link></span>
             <span class="menuButton"><g:link class="create" action="create">New TaskRecurringSchedule</g:link></span>
@@ -32,4 +32,31 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
+                                    <label for="recurEvery">Recur Every:</label>
+                                </td>
+                                <td valign="top" class="value ${hasErrors(bean:taskRecurringScheduleInstance,field:'recurEvery','errors')}">
+                                    <input type="text" id="recurEvery" name="recurEvery" value="${fieldValue(bean:taskRecurringScheduleInstance,field:'recurEvery')}" />
+                                </td>
+                            </tr> 
+                        
+                            <tr class="prop">
+                                <td valign="top" class="name">
+                                    <label for="taskDuration">Task Duration:</label>
+                                </td>
+                                <td valign="top" class="value ${hasErrors(bean:taskRecurringScheduleInstance,field:'taskDuration','errors')}">
+                                    <input type="text" id="taskDuration" name="taskDuration" value="${fieldValue(bean:taskRecurringScheduleInstance,field:'taskDuration')}" />
+                                </td>
+                            </tr> 
+                        
+                            <tr class="prop">
+                                <td valign="top" class="name">
+                                    <label for="generateAhead">Generate Ahead:</label>
+                                </td>
+                                <td valign="top" class="value ${hasErrors(bean:taskRecurringScheduleInstance,field:'generateAhead','errors')}">
+                                    <input type="text" id="generateAhead" name="generateAhead" value="${fieldValue(bean:taskRecurringScheduleInstance,field:'generateAhead')}" />
+                                </td>
+                            </tr> 
+                        
+                            <tr class="prop">
+                                <td valign="top" class="name">
                                     <label for="lastGeneratedDate">Last Generated Date:</label>
                                 </td>
@@ -45,13 +72,4 @@
                                 <td valign="top" class="value ${hasErrors(bean:taskRecurringScheduleInstance,field:'lastGeneratedSubTask','errors')}">
                                     <g:select optionKey="id" from="${Task.list()}" name="lastGeneratedSubTask.id" value="${taskRecurringScheduleInstance?.lastGeneratedSubTask?.id}" noSelection="['null':'']"></g:select>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
-                                    <label for="generateAhead">Generate Ahead:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:taskRecurringScheduleInstance,field:'generateAhead','errors')}">
-                                    <input type="text" id="generateAhead" name="generateAhead" value="${fieldValue(bean:taskRecurringScheduleInstance,field:'generateAhead')}" />
                                 </td>
                             </tr> 
@@ -77,13 +95,4 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="nextDueDate">Next Due Date:</label>
-                                </td>
-                                <td valign="top" class="value ${hasErrors(bean:taskRecurringScheduleInstance,field:'nextDueDate','errors')}">
-                                    <g:datePicker name="nextDueDate" value="${taskRecurringScheduleInstance?.nextDueDate}" ></g:datePicker>
-                                </td>
-                            </tr> 
-                        
-                            <tr class="prop">
-                                <td valign="top" class="name">
                                     <label for="nextGenerationDate">Next Generation Date:</label>
                                 </td>
@@ -95,8 +104,17 @@
                             <tr class="prop">
                                 <td valign="top" class="name">
-                                    <label for="recurEvery">Recur Every:</label>
+                                    <label for="nextTargetCompletionDate">Next Target Completion Date:</label>
                                 </td>
-                                <td valign="top" class="value ${hasErrors(bean:taskRecurringScheduleInstance,field:'recurEvery','errors')}">
-                                    <input type="text" id="recurEvery" name="recurEvery" value="${fieldValue(bean:taskRecurringScheduleInstance,field:'recurEvery')}" />
+                                <td valign="top" class="value ${hasErrors(bean:taskRecurringScheduleInstance,field:'nextTargetCompletionDate','errors')}">
+                                    <g:datePicker name="nextTargetCompletionDate" value="${taskRecurringScheduleInstance?.nextTargetCompletionDate}" ></g:datePicker>
+                                </td>
+                            </tr> 
+                        
+                            <tr class="prop">
+                                <td valign="top" class="name">
+                                    <label for="nextTargetStartDate">Next Target Start Date:</label>
+                                </td>
+                                <td valign="top" class="value ${hasErrors(bean:taskRecurringScheduleInstance,field:'nextTargetStartDate','errors')}">
+                                    <g:datePicker name="nextTargetStartDate" value="${taskRecurringScheduleInstance?.nextTargetStartDate}" ></g:datePicker>
                                 </td>
                             </tr> 
@@ -129,4 +147,13 @@
                             </tr> 
                         
+                            <tr class="prop">
+                                <td valign="top" class="name">
+                                    <label for="taskDurationPeriod">Task Duration Period:</label>
+                                </td>
+                                <td valign="top" class="value ${hasErrors(bean:taskRecurringScheduleInstance,field:'taskDurationPeriod','errors')}">
+                                    <g:select optionKey="id" from="${Period.list()}" name="taskDurationPeriod.id" value="${taskRecurringScheduleInstance?.taskDurationPeriod?.id}" ></g:select>
+                                </td>
+                            </tr> 
+                        
                         </tbody>
                     </table>