Index: trunk/grails-app/views/person/create.gsp
===================================================================
--- trunk/grails-app/views/person/create.gsp	(revision 164)
+++ trunk/grails-app/views/person/create.gsp	(revision 166)
@@ -32,4 +32,5 @@
                         <td valign="top" class="value ${hasErrors(bean:person,field:'loginName','errors')}">
                             <input type="text" id="loginName" name="loginName" value="${person.loginName?.encodeAsHTML()}"/>
+                            <g:helpBalloon class="helpballoon" code="person.loginName" />
                         </td>
                     </tr>
@@ -39,4 +40,5 @@
                         <td valign="top" class="value ${hasErrors(bean:person,field:'firstName','errors')}">
                             <input type="text" id="firstName" name="firstName" value="${person.firstName?.encodeAsHTML()}"/>
+                            <g:helpBalloon class="helpballoon" code="person.firstName" />
                         </td>
                     </tr>
@@ -46,4 +48,5 @@
                         <td valign="top" class="value ${hasErrors(bean:person,field:'lastName','errors')}">
                             <input type="text" id="lastName" name="lastName" value="${person.lastName?.encodeAsHTML()}"/>
+                            <g:helpBalloon class="helpballoon" code="person.lastName" />
                         </td>
                     </tr>
@@ -54,11 +57,13 @@
                         <td valign="top" class="value ${hasErrors(bean:person,field:'pass','errors')}">
                             <input type="password" id="pass" name="pass"/>
+                            <g:helpBalloon class="helpballoon" code="person.password" />
                         </td>
                     </tr>
 
                     <tr class="prop">
-                        <td valign="top" class="name"><label for="isActive">isActive:</label></td>
+                        <td valign="top" class="name"><label for="isActive">Active:</label></td>
                         <td valign="top" class="value ${hasErrors(bean:person,field:'isActive','errors')}">
                             <g:checkBox name="isActive" value="${person.isActive}" ></g:checkBox>
+                            <g:helpBalloon class="helpballoon" code="person.isActive" />
                         </td>
                     </tr>
@@ -106,14 +111,19 @@
                         </td>
                         <td valign="top" class="value ${hasErrors(bean:person,field:'personGroups','errors')}">
-                            <g:select name="personGroups"
+                            <g:select id="personGroups" name="personGroups"
                                             from="${PersonGroup.list()}"
-                                            size="5" multiple="yes" optionKey="id"
-                                            value="${person?.personGroups}" />
-
+                                            optionKey="id" size="5" multiple="yes"
+                                            value="${person?.personGroups?.id}" noSelection="['':'--None--']"/>
+                            <g:helpBalloon class="helpballoon" code="person.personGroups" />
                         </td>
                     </tr>
 
                     <tr class="prop">
-                        <td valign="top" class="name" align="left">Authorities:</td>
+                        <td valign="top" class="name" align="left">
+                            Authorities:
+                        </td>
+                        <td valign="top" class="name" align="left">
+                            <g:helpBalloon class="helpballoon" code="person.authorities" />
+                        </td>
                     </tr>
 
@@ -121,5 +131,7 @@
                     <tr>
                         <td valign="top" class="name" align="left">${it.authority.encodeAsHTML()}</td>
-                        <td align="left"><g:checkBox name="${it.authority}"/></td>
+                        <td align="left">
+                            <g:checkBox name="${it.authority}" value="${it.authority == 'ROLE_AppUser'}"/>
+                        </td>
                     </tr>
                     </g:each>