Index: trunk/grails-app/services/CreateDataService.groovy
===================================================================
--- trunk/grails-app/services/CreateDataService.groovy	(revision 164)
+++ trunk/grails-app/services/CreateDataService.groovy	(revision 175)
@@ -37,4 +37,6 @@
         createBaseUnitsOfMeasure()
         createBasePeriods()
+        createBaseSupplierType()
+        createBaseManufacturerType()
         // Tasks
         createBaseTaskStatus()
@@ -45,4 +47,5 @@
         // Inventory
         createBaseInventoryTypes()
+        createBaseInventoryMovementTypes()
         createBaseMaintenancePolicies()
         // Assets
@@ -60,4 +63,6 @@
         createDemoSites()
         createDemoDepartments()
+        createDemoSuppliers()
+        createDemoManufacturers()
         // Tasks
         createDemoTaskGroups() /// @todo: Perhaps this should be BaseData?
@@ -68,8 +73,7 @@
         // Inventory
         createDemoInventoryStores()  /// @todo: Perhaps a 'createQuickStartData' method?
-        createDemoStoreLocations()
+        createDemoInventoryLocations()
         createDemoInventoryGroups() /// @todo: Perhaps a 'createQuickStartData' method?
         createDemoInventoryItems()
-        createDemoStoredItems()
         // Assets
         createDemoLifePlan()
@@ -310,4 +314,69 @@
     }
 
+    def createBaseSupplierType() {
+
+        // SupplierType
+        def supplierTypeInstance
+
+        // SupplierType #1
+        supplierTypeInstance = new SupplierType(name: "OEM",
+                                                                    description: "Original equipment supplier")
+        saveAndTest(supplierTypeInstance)
+
+        // SupplierType #2
+        supplierTypeInstance = new SupplierType(name: "Local",
+                                                                    description: "Local supplier")
+        saveAndTest(supplierTypeInstance)
+    }
+
+    def createBaseManufacturerType() {
+
+        // ManufacturerType
+        def manufacturerTypeInstance
+
+        // ManufacturerType #1
+        manufacturerTypeInstance = new ManufacturerType(name: "OEM",
+                                                                        description: "Original equipment manufacturer")
+        saveAndTest(manufacturerTypeInstance)
+
+        // ManufacturerType #2
+        manufacturerTypeInstance = new ManufacturerType(name: "Alternate",
+                                                                        description: "Not original equipment manufacturer")
+        saveAndTest(manufacturerTypeInstance)
+
+    }
+
+    def createDemoSuppliers() {
+
+        // Supplier
+        def supplierInstance
+
+        // Supplier #1
+        supplierInstance = new Supplier(name: "OEM Distributors",
+                                                                        supplierType: SupplierType.get(1))
+        saveAndTest(supplierInstance)
+
+        // Supplier #2
+        supplierInstance = new Supplier(name: "Mex Holdings",
+                                                                        supplierType: SupplierType.get(2))
+        saveAndTest(supplierInstance)
+    }
+
+    def createDemoManufacturers() {
+
+        // Manufacturer
+        def manufacturerInstance
+
+        // Manufacturer #1
+        manufacturerInstance = new Manufacturer(name: "OEM Manufacturer",
+                                                                        manufacturerType: ManufacturerType.get(1))
+        saveAndTest(manufacturerInstance)
+
+        // Manufacturer #2
+        manufacturerInstance = new Manufacturer(name: "Laser Cutting Services Pty",
+                                                                        manufacturerType: ManufacturerType.get(2))
+        saveAndTest(manufacturerInstance)
+    }
+
 /*********************
 START OF TASK
@@ -587,14 +656,14 @@
     }
 
-    def createDemoStoreLocations() {
-
-        //StoreLocation
-        def storeLocation
-
-        storeLocation = new StoreLocation(inventoryStore: InventoryStore.get(1), bin: "A1-2")
-        saveAndTest(storeLocation)
-
-        storeLocation = new StoreLocation(inventoryStore: InventoryStore.get(1), bin: "C55")
-        saveAndTest(storeLocation)
+    def createDemoInventoryLocations() {
+
+        // InventoryLocation
+        def inventoryLocation
+
+        inventoryLocation = new InventoryLocation(inventoryStore: InventoryStore.get(1), name: "A1-2")
+        saveAndTest(inventoryLocation)
+
+        inventoryLocation = new InventoryLocation(inventoryStore: InventoryStore.get(1), name: "C55")
+        saveAndTest(inventoryLocation)
     }
 
@@ -631,4 +700,22 @@
         inventoryTypeInstance = new InventoryType(name: "Repairable")
         saveAndTest(inventoryTypeInstance)
+    }
+
+    def createBaseInventoryMovementTypes() {
+
+        // InventoryMovementType
+        def inventoryMovementTypeInstance
+
+        // InventoryMovementType #1
+        inventoryMovementTypeInstance = new InventoryMovementType(name: "Used")
+        saveAndTest(inventoryMovementTypeInstance)
+
+        // InventoryMovementType #2
+        inventoryMovementTypeInstance = new InventoryMovementType(name: "Repaired")
+        saveAndTest(inventoryMovementTypeInstance)
+
+        // InventoryMovementType #3
+        inventoryMovementTypeInstance = new InventoryMovementType(name: "Purchased")
+        saveAndTest(inventoryMovementTypeInstance)
     }
 
@@ -642,6 +729,8 @@
                                                                                     inventoryType: InventoryType.get(1),
                                                                                     unitOfMeasure: UnitOfMeasure.get(2),
+                                                                                    inventoryLocation: InventoryLocation.get(1),
                                                                                     name: "J-Rope",
                                                                                     description: "Twine wound J-Rope",
+                                                                                    unitsInStock: 2,
                                                                                     reorderPoint: 0)
         saveAndTest(inventoryItemInstance)
@@ -651,7 +740,9 @@
                                                                                     inventoryType: InventoryType.get(1),
                                                                                     unitOfMeasure: UnitOfMeasure.get(2),
+                                                                                    inventoryLocation: InventoryLocation.get(1),
                                                                                     name: "L-Rope",
                                                                                     description: "Twine wound L-Rope",
                                                                                     alternateItems: InventoryItem.get(1),
+                                                                                    unitsInStock: 2,
                                                                                     reorderPoint: 0)
         saveAndTest(inventoryItemInstance)
@@ -661,6 +752,8 @@
                                                                                     inventoryType: InventoryType.get(1),
                                                                                     unitOfMeasure: UnitOfMeasure.get(1),
+                                                                                    inventoryLocation: InventoryLocation.get(2),
                                                                                     name: "2305-2RS",
                                                                                     description: "Bearing 25x62x24mm double row self aligning ball",
+                                                                                    unitsInStock: 3,
                                                                                     reorderPoint: 2)
         saveAndTest(inventoryItemInstance)
@@ -670,6 +763,8 @@
                                                                                     inventoryType: InventoryType.get(1),
                                                                                     unitOfMeasure: UnitOfMeasure.get(1),
+                                                                                    inventoryLocation: InventoryLocation.get(2),
                                                                                     name: "L1592-K10",
                                                                                     description: "10kW contactor",
+                                                                                    unitsInStock: 4,
                                                                                     reorderPoint: 0)
         saveAndTest(inventoryItemInstance)
@@ -679,44 +774,10 @@
                                                                                     inventoryType: InventoryType.get(1),
                                                                                     unitOfMeasure: UnitOfMeasure.get(1),
+                                                                                    inventoryLocation: InventoryLocation.get(2),
                                                                                     name: "6205-ZZ",
                                                                                     description: "Bearing 25x52x15mm single row ball shielded",
+                                                                                    unitsInStock: 5,
                                                                                     reorderPoint: 2)
         saveAndTest(inventoryItemInstance)
-    }
-
-    def createDemoStoredItems() {
-
-        //StoredItem
-        def storedItemInstance
-
-        //StoredItem #1
-        storedItemInstance = new StoredItem(inventoryItem: InventoryItem.get(1),
-                                                                            storeLocation: StoreLocation.get(1),
-                                                                            quantity: 8)
-        saveAndTest(storedItemInstance)
-
-        //StoredItem #2
-        storedItemInstance = new StoredItem(inventoryItem: InventoryItem.get(1),
-                                                                            storeLocation: StoreLocation.get(2),
-                                                                            quantity: 4)
-        saveAndTest(storedItemInstance)
-
-        //StoredItem #3
-        storedItemInstance = new StoredItem(inventoryItem: InventoryItem.get(2),
-                                                                            storeLocation: StoreLocation.get(1),
-                                                                            quantity: 2)
-        saveAndTest(storedItemInstance)
-
-        //StoredItem #4
-        storedItemInstance = new StoredItem(inventoryItem: InventoryItem.get(3),
-                                                                            storeLocation: StoreLocation.get(1),
-                                                                            quantity: 2)
-        saveAndTest(storedItemInstance)
-
-        //StoredItem #5
-        storedItemInstance = new StoredItem(inventoryItem: InventoryItem.get(4),
-                                                                            storeLocation: StoreLocation.get(1),
-                                                                            quantity: 30)
-        saveAndTest(storedItemInstance)
     }
 